> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /coursera/courses/search

> Search the Coursera (coursera.org) catalog (courses, specializations, certificates, degrees)

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/education-courses.json post /api/coursera/courses/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/coursera/courses/search:
    post:
      tags:
        - /coursera
      summary: /coursera/courses/search
      description: >-
        Search the Coursera (coursera.org) catalog (courses, specializations,
        certificates, degrees)


        **Price:** 5 credits per 100 results
      operationId: __api_coursera_courses_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourseraCoursesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourseraSearchProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourseraCoursesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        topic:
          anyOf:
            - $ref: '#/components/schemas/CourseraSearchTopic'
            - type: 'null'
        level:
          anyOf:
            - $ref: '#/components/schemas/CourseraSearchLevel'
            - type: 'null'
        duration:
          anyOf:
            - $ref: '#/components/schemas/CourseraSearchDuration'
            - type: 'null'
        product_type:
          anyOf:
            - $ref: '#/components/schemas/CourseraSearchProductType'
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        subtitle_language:
          anyOf:
            - type: string
            - type: 'null'
        skill:
          anyOf:
            - type: string
            - type: 'null'
        partner:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/CourseraSearchSort'
          default: BEST_MATCH
      type: object
      required:
        - keyword
        - count
    CourseraSearchProduct:
      properties:
        '@type':
          type: string
          default: CourseraSearchProduct
        id:
          type: string
        name:
          type: string
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        product_type:
          anyOf:
            - type: string
            - type: 'null'
        canonical_type:
          anyOf:
            - type: string
            - type: 'null'
        marketing_type:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        difficulty_level:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        is_free:
          anyOf:
            - type: boolean
            - type: 'null'
        is_credit_eligible:
          anyOf:
            - type: boolean
            - type: 'null'
        is_part_of_coursera_plus:
          anyOf:
            - type: boolean
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        partners:
          items:
            type: string
          type: array
          default: []
        partner_logos:
          items:
            type: string
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
        fully_translated_languages:
          items:
            type: string
          type: array
          default: []
        subtitle_languages:
          items:
            type: string
          type: array
          default: []
        web_url:
          type: string
      type: object
      required:
        - id
        - name
        - web_url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourseraSearchTopic:
      type: string
      enum:
        - Business
        - Artificial Intelligence
        - Data Science
        - Computer Science
        - Information Technology
        - Personal Development
        - Healthcare
        - Language Learning
        - Social Sciences
        - Arts and Humanities
        - Physical Science and Engineering
        - Math and Logic
    CourseraSearchLevel:
      type: string
      enum:
        - Beginner
        - Intermediate
        - Advanced
        - Mixed
    CourseraSearchDuration:
      type: string
      enum:
        - Less Than 2 Hours
        - 1-4 Weeks
        - 1-3 Months
        - 3-6 Months
        - 6-12 Months
        - 1-4 Years
    CourseraSearchProductType:
      type: string
      enum:
        - Courses
        - Guided Projects
        - Projects
        - Specializations
        - Professional Certificates
        - MasterTrack Certificates
        - Degrees
    CourseraSearchSort:
      type: string
      enum:
        - BEST_MATCH
        - NEW
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````